
import asyncHandler from 'express-async-handler';
import * as adminBiz from '../biz/admin';


// 霍兰德测试接口
export function setRouter(httpServer){
    httpServer.post('/admin/login', asyncHandler(login));
    httpServer.post('/admin/userlist', asyncHandler(getUserList));
    httpServer.post('/admin/details', asyncHandler(getUserInfoById));
    httpServer.post('/admin/output', asyncHandler(outPutData));

};


async function login(req, res) {
    let {username, password} = req.body;
    let result = await adminBiz.login(username, password);
    res.success(result);
}


async function getUserList(req, res) {
    let {card, createStartTime, createEndTime, area, current} = req.body;
    let result = await adminBiz.getUserList(card, createStartTime, createEndTime, area, current);
    res.success(result);
}


async function getUserInfoById(req, res) {
    let {infoid, testType} = req.body;
    let result = await adminBiz.getUserInfoById(infoid, testType);
    res.success(result);
}


async function outPutData(req, res) {
    let {card, createStartTime, createEndTime, area} = req.body;
    let result = await adminBiz.outPutData(card, createStartTime, createEndTime, area);
    res.success(result);
}


