
import asyncHandler from 'express-async-handler';
import * as huolandeBiz from '../biz/huolande';


// 霍兰德测试接口
export function setRouter(httpServer){
    httpServer.post('/question/getarea', asyncHandler(getArea));
    httpServer.post('/question/addusers', asyncHandler(addUsers));
    httpServer.post('/question/question', asyncHandler(getQuestion));
    httpServer.post('/question/addusersinfo', asyncHandler(addUsersInfo));
    httpServer.post('/huolande/finalscore', asyncHandler(getFinalScore));
    httpServer.post('/chuangye/finalscore', asyncHandler(getChuangYeScore));

};


async function addUsers(req, res) {
    let {testType, name, card, phone, email, area} = req.body;
    let result = await huolandeBiz.addUsers(testType, name, card, phone, area, email);
    res.success(result);
}


async function getArea(req, res) {
    let result = await huolandeBiz.getArea();
    res.success(result);
}


async function getQuestion(req, res) {
    let { testType, chapter, isTest } = req.body;
    let result = await huolandeBiz.getQuestion(testType, chapter, isTest);
    res.success(result);
}


async function addUsersInfo(req, res) {
    let {infoid, chapter, option, testType, isTest} = req.body;
    let result = await huolandeBiz.addUsersInfo(infoid, chapter, option, testType, isTest);
    res.success(result);
}


async function getFinalScore(req, res) {
    let {infoid, isTest} = req.body;
    let result = await huolandeBiz.getFinalScore(infoid, isTest);
    res.success(result);
}


async function getChuangYeScore(req, res) {
    let {infoid, isTest} = req.body;
    let result = await huolandeBiz.getChuangYeScore(infoid, isTest);
    res.success(result);
}




